Wt: Wt::WStaticModelView< Renderer > Class Template Reference

Wt 3.3.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Related Functions
Wt::WStaticModelView< Renderer > Class Template Reference

A widget that implements a view for a non-changing model. More...

`#include <Wt/WViewWidget>`

Inheritance diagram for Wt::WStaticModelView< Renderer >:
[legend]

List of all members.

## Public Member Functions
| WStaticModelView (Renderer f, WContainerWidget *parent=0)
| Creates a new static model view, given a function object to render the View widget.
## Protected Member Functions
WWidget * | renderView ()
| Creates a widget that renders the View.
## Related Functions
(Note that these are not member functions.)
template<typename Renderer >
WStaticModelView< Renderer > * | makeStaticModel (Renderer f, WContainerWidget *parent=0)
| Wraps a widget into a view with a non-changing model.

## Detailed Description

### template<typename Renderer>
class Wt::WStaticModelView< Renderer >

A widget that implements a view for a non-changing model.

This model uses a function object which is passed in the constructor to render the View, and does not react to changes.

You may want to use the utility function Wt::makeStaticModel() to create an instance of this class.

## Member Function Documentation

template<typename Renderer >

WWidget* Wt::WStaticModelView< Renderer >::renderView | ( |  | ) | `[protected, virtual]`

Creates a widget that renders the View.

This method must be reimplemented to return a widget that renders the view. The returned widget will be deleted by WViewWidget.

Implements Wt::WViewWidget.

## Friends And Related Function Documentation

template<typename Renderer >

WStaticModelView< Renderer > * makeStaticModel | ( | Renderer | f,
|  | WContainerWidget * | parent = `0`
| ) |  | `[related]`

Wraps a widget into a view with a non-changing model.

The ViewRenderer is called without arguments and must return a newly created widget (WWidget *).

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator